=== debian/changelog ===
sdrangelove (0.0.1.20140824-1build1) vivid; urgency=medium

  * Rebuild against gnuradio 3.7.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2014 12:54:30 +0000

sdrangelove (0.0.1.20140824-1) unstable; urgency=low

  * Include August 2014 rewrites, audio samplerate config changes
  * fix Qt plugin packaging (Closes: #761296)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 12 Sep 2014 19:23:24 -0400

sdrangelove (0.0.1.20131224-1) unstable; urgency=low

  * Initial package (Closes: #737685)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 04 Feb 2014 21:09:52 -0500
