=== debian/control ===
Source: sdrangelove
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, qt5-default, qtbase5-dev,
 libqt5opengl5-dev, qtmultimedia5-dev, gnuradio (>= 3.7), gnuradio-dev (>= 3.7),
 gr-osmosdr, libfftw3-dev, libosmosdr-dev, librtlsdr-dev,
 libboost-dev, libboost-system-dev, liblog4cpp5-dev,
 libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
Standards-Version: 3.9.5
Homepage: http://sdrangelove.org/
Vcs-Git: git://git.osmocom.org/sdrangelove/
Vcs-Browser: http://cgit.osmocom.org/sdrangelove/

Package: sdrangelove
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuradio, gr-osmosdr
Suggests: libqt5multimedia5-plugins, pulseaudio
Description: Osmocom Software Defined Radio
 A Qt5 software-defined radio receiver application.
