=== plugins/CMakeLists.txt ===
project(plugins)

add_subdirectory(channel)
add_subdirectory(samplesource)
