=== debian/changelog ===
sdrangelove (0.0.1.20150707-5) unstable; urgency=medium

  * Team upload

  [ tony mancill ]
  * Apply Debian Janitor changes listed in -4 changelog but
    missing from previous upload.

 -- tony mancill <tmancill@debian.org>  Tue, 17 Nov 2020 19:03:56 -0800

sdrangelove (0.0.1.20150707-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ tony mancill ]
  * Add patch to fix qt 5.15.1 failure due to missing include
    (Closes: #974858)

 -- tony mancill <tmancill@debian.org>  Mon, 16 Nov 2020 20:12:10 -0800

sdrangelove (0.0.1.20150707-3) unstable; urgency=medium

  * Build against gnuradio 3.8 (Closes: #941204)
  * Avoid OpenGL ES (Closes: #884315)
  * update compat, standards-version
  * anonscm -> salsa

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Sep 2019 00:59:52 -0400

sdrangelove (0.0.1.20150707-2) unstable; urgency=medium

  * Use explicit cast rather than narrowing conversion (Closes: #811774)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jul 2016 18:34:43 -0400

sdrangelove (0.0.1.20150707-1) unstable; urgency=medium

  * New upstream, allow building without sse (Closes: #790855)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Sep 2015 11:13:55 -0400
