=== debian/control ===
Source: sdrangelove
Section: science
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               gnuradio-dev (>= 3.8),
               gr-osmosdr,
               libboost-dev,
               libboost-system-dev,
               libfftw3-dev,
	       libgmp-dev,
               liblog4cpp5-dev,
               libosmosdr-dev,
	       libqt5opengl5-desktop-dev,
               librtlsdr-dev,
               libusb-1.0-0-dev [linux-any],
               libusb2-dev [kfreebsd-any],
               pkg-config,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser,
               qtmultimedia5-dev
Standards-Version: 4.5.0
Homepage: http://sdrangelove.org/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/pkg-sdrangelove
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/pkg-sdrangelove.git

Package: sdrangelove
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr
Suggests: libqt5multimedia5-plugins, pulseaudio
Description: Osmocom Software Defined Radio
 A Qt5 software-defined radio receiver application.
