=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
               | sed -rne 's,^Version: ([^-]+).*,\1,p')
 GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')
+#CC=gcc-6
+#CXX=g++-6
+#export CC
+#export CXX
 
 %:
 	dh $@ --buildsystem=cmake
@@ -17,6 +21,6 @@
 	echo $(VER) is $(GITREV)
 
 get-orig-source: version-to-get
-	git clone git://git.osmocom.org/gr-osmosdr
-	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | gzip > ../gr-osmosdr_$(VER).orig.tar.gz
-	rm -rf gr-osmosdr
+	git clone git://git.osmocom.org/sdrangelove.git
+	cd gr-osmosdr &&  git archive --format=tar --prefix=sdrangelove-0.0.1.20150707/ 64a1d97 | xz > ../../sdrangelove_0.0.1.20150707.orig.tar.xz
+	rm -rf sdrangelove
