## sdrangelove 0.0.1.20150707+rb2

=== plugins/channel/CMakeLists.txt ===
project(demod)

add_subdirectory(nfm)
add_subdirectory(tcpsrc)
#add_subdirectory(tetra)
