=== debian/changelog ===
sdrangelove (0.0.1.20150707+rb2-1+eagle) unstable; urgency=medium

  * update

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Feb 2021 16:14:22 +0800
